set _IsWindows [string equal $tcl_platform(platform) windows]
set _ChipViewExe "ChipView"
if { $_IsWindows } {set _ChipViewExe "ChipView.bat"}
set _ucfFile {dlabdio5.ucf} 
regsub -all {\B} $_ucfFile / _ucfFile
if { $_IsWindows } {
regsub -all / $_ucfFile \\ _ucfFile
}
set _ErrorCode 0
if {[string compare -nocase -length 4 [string range xcr3128xl 4 4] "*"]==0} {
exeputs "ERROR:Pin Assignment ChipViewer can not be launched for and Auto device. \nERROR:Please select a specific CPLD device before running this process."
exit 1
}
if ![file exists $_ucfFile] {
set _ucfFileHandle [open $_ucfFile a]
puts $_ucfFileHandle "//"
close $_ucfFileHandle }
file delete -force "_test.dat"
file copy -force $_ucfFile "_test.ucf"
set _ErrorCode [catch {exec $_ChipViewExe -f dlabdio5.ngd -uc $_ucfFile -dev XCR3128XL-6-TQ144} _Results]
exeputs $_Results
exeputs "\n"
file copy -force $_ucfFile "_test2.ucf"
exec chkdate
if [file exists "_test.dat"] {
if [file exists "dlabdio5.ngd"] {
file rename -force "dlabdio5.ngd" "last_used.ngd"
exeputs "The Implement Design process will now be reset so that your constraint changes will be read.\n" }
} else { exeputs "Existing implementation results (if any) will be retained.\n" }
file delete -force _test.ucf _test2.ucf _test.dat
exit $_ErrorCode
